## stone 2.2

=== Makefile ===
# stone		simple repeater
# Copyright(c)1995-1999 by Hiroaki Sengoku <sengoku@gcd.org>
#
# -DUSE_POP	use POP -> APOP conversion
# -DUSE_SSL	use OpenSSL
# -DCPP		preprocessor for reading config. file
# -DH_ERRNO	h_errno is not defined in header files
# -DIGN_SIGTERM	ignore SIGTERM signal
# -DINET_ADDR	use custom inet_addr(3)
# -DNO_ALRM	without SIGALRM signal
# -DNO_BCOPY	without bcopy(3)
# -DNO_SNPRINTF	without snprintf(3)
# -DNO_SYSLOG	without syslog(2)
# -DNO_THREAD	without thread
# -DOS2		OS/2 with EMX
# -DWINDOWS	Windows95/98/NT
# -DNT_SERVICE	WindowsNT/2000 native service
# -DUNIX_DAEMON	fork into background and become a UNIX Daemon

CFLAGS=		# -g

SSL=		/usr/local/ssl
SSL_FLAGS=	-DUSE_SSL -I$(SSL)/include
SSL_LIBS=	-ldl -L$(SSL)/lib -lssl -lcrypto

POP_FLAGS=	-DUSE_POP
POP_LIBS=	md5c.o

all:
	@echo "run make with one of the following arguments"
	@echo "linux     ; for Linux"
	@echo "zaurus    ; for Linux Zaurus"
	@echo "bsd       ; for FreeBSD or BSD/OS"
	@echo "macosx    ; for Mac OS X"
	@echo "sun       ; for SunOS 4.x with gcc"
	@echo "solaris   ; for Solaris with gcc"
	@echo "hp        ; for HP-UX with gcc"
	@echo "irix      ; for IRIX"
	@echo "win       ; for Windows 95/NT with VC++"
	@echo "mingw     ; for Windows 95/NT with MinGW"
	@echo "emx       ; for OS/2 with EMX"
	@echo "using POP -> APOP conv., add '-pop' (example: linux-pop)"
	@echo "using above conv. and OpenSSL, add '-ssl' (example: linux-ssl)"

clean:
	rm -f stone $(POP_LIBS) stone.exe stone.obj md5c.obj

md5c.c:
	@echo "*** md5c.c is contained in RFC1321"

stone: stone.c
	$(CC) $(CFLAGS) $(FLAGS) -o $@ $? $(LIBS)

pop_stone: $(POP_LIBS)
	$(MAKE) FLAGS="$(POP_FLAGS)" LIBS="$(POP_LIBS)" $(TARGET)

ssl_stone:
	$(MAKE) FLAGS="$(POP_FLAGS) $(SSL_FLAGS)" LIBS="$(SSL_LIBS)" $(TARGET)

stone.exe: stone.c
	$(CC) $(FLAGS) $? $(LIBS)

pop_stone.exe: md5c.obj
	$(MAKE) FLAGS=-DUSE_POP LIBS="md5c.obj" $(TARGET)

ssl_stone.exe:
	$(MAKE) FLAGS="-DUSE_POP -DUSE_SSL" LIBS="ssleay32.lib libeay32.lib" $(TARGET)
#	$(MAKE) FLAGS=-DUSE_SSL LIBS="ssl32.lib crypt32.lib" $(TARGET)

linux:
	$(MAKE) FLAGS="-DINET_ADDR -DCPP='\"/usr/bin/cpp -traditional\"' -DPTHREAD -DUNIX_DAEMON $(FLAGS)" LIBS="-lpthread $(LIBS)" stone

linux-pop:
	$(MAKE) TARGET=linux pop_stone

linux-ssl:
	$(MAKE) TARGET=linux ssl_stone

zaurus:
	$(MAKE) CC="arm-linux-gcc" FLAGS="-DPTHREAD -DUNIX_DAEMON $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
	arm-linux-strip stone

zaurus-pop:
	$(MAKE) CC="arm-linux-gcc" TARGET=zaurus pop_stone

zaurus-ssl:
	$(MAKE) CC="arm-linux-gcc" SSL_LIBS="-lssl -lcrypto" TARGET=zaurus ssl_stone

bsd:
	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -D_THREAD_SAFE -DPTHREAD $(FLAGS)" LIBS="-pthread $(LIBS)" stone

bsd-pop:
	$(MAKE) TARGET=bsd pop_stone

bsd-ssl:
	$(MAKE) TARGET=bsd ssl_stone

macosx:
	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -D_THREAD_SAFE -DPTHREAD $(FLAGS)" stone

macosx-pop:
	$(MAKE) TARGET=macosx pop_stone

macosx-ssl:
	$(MAKE) TARGET=macosx SSL=/usr ssl_stone

sun:
	$(MAKE) CC=gcc FLAGS="-DINET_ADDR -DNO_SNPRINTF -DIGN_SIGTERM -DCPP='\"/usr/lib/cpp\"' $(FLAGS)" stone

sun-pop:
	$(MAKE) TARGET=sun pop_stone

sun-ssl:
	$(MAKE) TARGET=sun ssl_stone

solaris:
	$(MAKE) CC=gcc FLAGS="-DNO_SNPRINTF $(FLAGS)" LIBS="-lnsl -lsocket $(LIBS)" stone

solaris-pop:
	$(MAKE) TARGET=solaris pop_stone

solaris-ssl:
	$(MAKE) TARGET=solaris ssl_stone

hp:
	$(MAKE) CC=gcc FLAGS="-DNO_SNPRINTF -DH_ERRNO -DCPP='\"/lib/cpp\"' $(FLAGS)" stone

hp-pop:
	$(MAKE) TARGET=hp pop_stone

hp-ssl:
	$(MAKE) TARGET=hp ssl_stone

irix:
	$(MAKE) FLAGS="-DNO_SNPRINTF $(FLAGS)" stone

irix-pop:
	$(MAKE) TARGET=irix pop_stone

irix-ssl:
	$(MAKE) TARGET=irix ssl_stone

win:
	$(MAKE) FLAGS="-DWINDOWS $(FLAGS)" LIBS="/MT wsock32.lib $(LIBS) /link /NODEFAULTLIB:LIBC" stone.exe

win-pop:
	$(MAKE) TARGET=win pop_stone.exe

win-ssl:
	$(MAKE) TARGET=win ssl_stone.exe

mingw.exe: stone.c
	$(CC) $(FLAGS) -o stone.exe $? $(LIBS)

mingw:
	$(MAKE) CC=gcc FLAGS="-DWINDOWS $(FLAGS)" LIBS="-lwsock32 $(LIBS)" mingw.exe

mingw-pop:
	$(MAKE) CC=gcc TARGET=mingw pop_stone

mingw-ssl:
	$(MAKE) FLAGS="$(POP_FLAGS) $(SSL_FLAGS)" LIBS="-LC:/mingw/lib/openssl -lssl32 -leay32 -lregex" mingw

emx:
	$(MAKE) CC=gcc FLAGS="-DOS2 -Zmts -Zsysv-signals $(FLAGS)" LIBS="$(LIBS) -lsocket" stone.exe

emx-pop:
	$(MAKE) TARGET=emx pop_stone

emx-ssl:
	$(MAKE) TARGET=emx ssl_stone

## stone 2.2e

=== Makefile ===
# stone		simple repeater
# Copyright(c)1995-2004 by Hiroaki Sengoku <sengoku@gcd.org>
#
# -DUSE_POP	use POP -> APOP conversion
# -DUSE_SSL	use OpenSSL
# -DCPP		preprocessor for reading config. file
# -DIGN_SIGTERM	ignore SIGTERM signal
# -DUNIX_DAEMON	fork into background and become a UNIX Daemon
# -DNO_BCOPY	without bcopy(3)
# -DNO_SNPRINTF	without snprintf(3)
# -DNO_SYSLOG	without syslog(2)
# -DNO_RINDEX	without rindex(3)
# -DNO_THREAD	without thread
# -DNO_PID_T	without pid_t
# -DNO_ADDRINFO without getaddrinfo
# -DPTHREAD     use Posix Thread
# -DPRCTL	use prctl(2) - operations on a process
# -DOS2		OS/2 with EMX
# -DWINDOWS	Windows95/98/NT
# -DNT_SERVICE	WindowsNT/2000 native service

CFLAGS=		# -g

SSL=		/usr/local/ssl
SSL_FLAGS=	-DUSE_SSL -I$(SSL)/include
SSL_LIBS=	-L$(SSL)/lib -lssl -lcrypto

POP_FLAGS=	-DUSE_POP
POP_LIBS=	md5c.o

SVC_LIBS=	logmsg.o service.o svcbody.o

all:
	@echo "run make with one of the following arguments"
	@echo "linux     ; for Linux"
	@echo "zaurus    ; for Linux Zaurus"
	@echo "bsd       ; for FreeBSD or BSD/OS"
	@echo "macosx    ; for Mac OS X"
	@echo "sun       ; for SunOS 4.x with gcc"
	@echo "solaris   ; for Solaris with gcc"
	@echo "hp        ; for HP-UX with gcc"
	@echo "irix      ; for IRIX"
	@echo "win       ; for Windows 95/NT with VC++"
	@echo "win-svc   ; for Windows NT service with VC++"
	@echo "mingw     ; for Windows 95/NT with MinGW"
	@echo "mingw-svc ; for Windows NT service with MinGW"
	@echo "emx       ; for OS/2 with EMX"
	@echo "using POP -> APOP conv., add '-pop' (example: linux-pop)"
	@echo "using above conv. and OpenSSL, add '-ssl' (example: linux-ssl)"

clean:
	rm -f stone $(POP_LIBS) stone.exe stone.obj md5c.obj stone.o $(SVC_LIBS) MSG00001.bin logmsg.h logmsg.rc

md5c.c:
	@echo "*** md5c.c is contained in RFC1321"

stone: stone.c
	$(CC) $(CFLAGS) $(FLAGS) -o $@ $? $(LIBS)

pop_stone: $(POP_LIBS)
	$(MAKE) FLAGS="$(POP_FLAGS)" LIBS="$(POP_LIBS)" $(TARGET)

ssl_stone:
	$(MAKE) FLAGS="$(POP_FLAGS) $(SSL_FLAGS)" LIBS="$(LIBS) $(SSL_LIBS)" $(TARGET)

logmsg.rc: logmsg.mc
	mc $?

logmsg.o: logmsg.rc
	windres $? -o $@

svc_stone: logmsg.rc stone.o $(SVC_LIBS)
	$(CC) -o stone.exe stone.o $(SVC_LIBS) $(SSL_LIBS) -lwsock32 -lregex -ladvapi32 -luser32 -lgdi32 -lshell32 -lkernel32

stone.exe: stone.c
	$(CC) $(FLAGS) $? $(LIBS)

pop_stone.exe: md5c.obj
	$(MAKE) FLAGS=-DUSE_POP LIBS="md5c.obj" $(TARGET)

ssl_stone.exe:
	$(MAKE) FLAGS="-DUSE_POP -DUSE_SSL" LIBS="ssleay32.lib libeay32.lib" $(TARGET)
#	$(MAKE) FLAGS=-DUSE_SSL LIBS="ssl32.lib crypt32.lib" $(TARGET)

svc_stone.exe: logmsg.res service.obj svcbody.obj
	$(MAKE) FLAGS="/DNT_SERVICE $(FLAGS)" LIBS="logmsg.res service.obj svcbody.obj advapi32.lib user32.lib gdi32.lib shell32.lib kernel32.lib" $(TARGET)

linux:
	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -DPTHREAD -DUNIX_DAEMON -DPRCTL $(FLAGS)" LIBS="-lpthread $(LIBS)" stone

linux-pop:
	$(MAKE) TARGET=linux pop_stone

linux-ssl:
	$(MAKE) TARGET=linux ssl_stone LIBS="-ldl"

zaurus:
	$(MAKE) CC="arm-linux-gcc" FLAGS="-DPTHREAD -DUNIX_DAEMON $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
	arm-linux-strip stone

zaurus-pop:
	$(MAKE) CC="arm-linux-gcc" TARGET=zaurus pop_stone

zaurus-ssl:
	$(MAKE) CC="arm-linux-gcc" SSL_LIBS="-lssl -lcrypto" TARGET=zaurus ssl_stone

bsd:
	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -D_THREAD_SAFE -DPTHREAD -DREG_NOERROR=0 $(FLAGS)" LIBS="-pthread $(LIBS)" stone

bsd-pop:
	$(MAKE) TARGET=bsd pop_stone

bsd-ssl:
	$(MAKE) TARGET=bsd ssl_stone

macosx:
	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -D_THREAD_SAFE -DPTHREAD $(FLAGS)" stone

macosx-pop:
	$(MAKE) TARGET=macosx pop_stone

macosx-ssl:
	$(MAKE) TARGET=macosx SSL=/usr ssl_stone

sun:
	$(MAKE) CC=gcc FLAGS="-DNO_ADDRINFO -DNO_SNPRINTF -DIGN_SIGTERM -DCPP='\"/usr/lib/cpp\"' $(FLAGS)" stone

sun-pop:
	$(MAKE) TARGET=sun pop_stone

sun-ssl:
	$(MAKE) TARGET=sun ssl_stone

solaris:
	$(MAKE) CC=gcc FLAGS="-DPTHREAD $(FLAGS)" LIBS="-lnsl -lsocket -lpthread $(LIBS)" stone

solaris-pop:
	$(MAKE) TARGET=solaris pop_stone

solaris-ssl:
	$(MAKE) TARGET=solaris ssl_stone

hp:
	$(MAKE) CC=gcc FLAGS="-DNO_SNPRINTF -DH_ERRNO -DCPP='\"/lib/cpp\"' $(FLAGS)" stone

hp-pop:
	$(MAKE) TARGET=hp pop_stone

hp-ssl:
	$(MAKE) TARGET=hp ssl_stone

irix:
	$(MAKE) FLAGS="-DNO_SNPRINTF $(FLAGS)" stone

irix-pop:
	$(MAKE) TARGET=irix pop_stone

irix-ssl:
	$(MAKE) TARGET=irix ssl_stone

win:
	$(MAKE) FLAGS="/Zi /DWINDOWS /DNO_RINDEX /DNO_SNPRINTF /DNO_VSNPRINTF /DNO_PID_T $(FLAGS)" LIBS="/MT wsock32.lib $(LIBS) /link /NODEFAULTLIB:LIBC" stone.exe

win-pop:
	$(MAKE) TARGET=win pop_stone.exe

win-ssl:
	$(MAKE) TARGET=win ssl_stone.exe

win-svc:
	$(MAKE) TARGET=win svc_stone.exe

mingw.exe: stone.c
	$(CC) $(FLAGS) -o stone.exe $? $(LIBS)

mingw:
	$(MAKE) CC=gcc FLAGS="-DWINDOWS -DNO_RINDEX -DNO_ADDRINFO -DNO_FAMILY_T $(FLAGS)" LIBS="-lws2_32 -lregex $(LIBS)" mingw.exe

mingw-pop:
	$(MAKE) CC=gcc TARGET=mingw pop_stone

mingw-ssl:
	$(MAKE) CC=gcc FLAGS="$(SSL_FLAGS)" SSL_LIBS="-lssl32 -leay32" TARGET=mingw ssl_stone

mingw-svc:
	$(MAKE) CC=gcc CFLAGS="-DWINDOWS -DNT_SERVICE -DNO_RINDEX -DNO_ADDRINFO -DNO_FAMILY_T $(POP_FLAGS) $(SSL_FLAGS) $(CFLAGS)" SSL_LIBS="-lssl32 -leay32" TARGET=mingw svc_stone

emx:
	$(MAKE) CC=gcc FLAGS="-DOS2 -Zmts -Zsysv-signals $(FLAGS)" LIBS="$(LIBS) -lsocket" stone.exe

emx-pop:
	$(MAKE) TARGET=emx pop_stone

emx-ssl:
	$(MAKE) TARGET=emx ssl_stone

## stone 2.3

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 POP_FLAGS=	-DUSE_POP
 POP_LIBS=	md5c.o
 
-SVC_LIBS=	logmsg.o service.o svcbody.o
+SVC_LIBS=	logmsg.o
 
 all:
 	@echo "run make with one of the following arguments"
@@ -63,17 +63,8 @@
 ssl_stone:
 	$(MAKE) FLAGS="$(POP_FLAGS) $(SSL_FLAGS)" LIBS="$(LIBS) $(SSL_LIBS)" $(TARGET)
 
-logmsg.rc: logmsg.mc
-	mc $?
-
-logmsg.o: logmsg.rc
-	windres $? -o $@
-
-svc_stone: logmsg.rc stone.o $(SVC_LIBS)
-	$(CC) -o stone.exe stone.o $(SVC_LIBS) $(SSL_LIBS) -lwsock32 -lregex -ladvapi32 -luser32 -lgdi32 -lshell32 -lkernel32
-
 stone.exe: stone.c
-	$(CC) $(FLAGS) $? $(LIBS)
+	$(CC) $(CFLAGS) $(FLAGS) $? $(LIBS)
 
 pop_stone.exe: md5c.obj
 	$(MAKE) FLAGS=-DUSE_POP LIBS="md5c.obj" $(TARGET)
@@ -82,11 +73,20 @@
 	$(MAKE) FLAGS="-DUSE_POP -DUSE_SSL" LIBS="ssleay32.lib libeay32.lib" $(TARGET)
 #	$(MAKE) FLAGS=-DUSE_SSL LIBS="ssl32.lib crypt32.lib" $(TARGET)
 
-svc_stone.exe: logmsg.res service.obj svcbody.obj
-	$(MAKE) FLAGS="/DNT_SERVICE $(FLAGS)" LIBS="logmsg.res service.obj svcbody.obj advapi32.lib user32.lib gdi32.lib shell32.lib kernel32.lib" $(TARGET)
+svc_stone.exe: logmsg.res
+	$(MAKE) FLAGS="/DNT_SERVICE $(FLAGS)" LIBS="logmsg.res advapi32.lib user32.lib gdi32.lib shell32.lib kernel32.lib" $(TARGET)
+
+logmsg.rc: logmsg.mc
+	mc $?
+
+logmsg.o: logmsg.rc
+	windres $? -o $@
+
+svc_stone: logmsg.rc $(SVC_LIBS)
+	$(MAKE) FLAGS="-DNT_SERVICE $(FLAGS) $(POP_FLAGS) $(SSL_FLAGS)" LIBS="$(LIBS) $(SSL_LIBS) $(SVC_LIBS) -ladvapi32 -luser32 -lgdi32 -lshell32 -lkernel32" $(TARGET)
 
 linux:
-	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -DPTHREAD -DUNIX_DAEMON -DPRCTL $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
+	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -DPTHREAD -DUNIX_DAEMON -DPRCTL -DSO_ORIGINAL_DST=80 $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
 
 linux-pop:
 	$(MAKE) TARGET=linux pop_stone
@@ -171,19 +171,25 @@
 	$(MAKE) TARGET=win svc_stone.exe
 
 mingw.exe: stone.c
-	$(CC) $(FLAGS) -o stone.exe $? $(LIBS)
+	$(CC) $(CFLAGS) $(FLAGS) -o stone.exe $? $(LIBS)
 
 mingw:
-	$(MAKE) CC=gcc FLAGS="-DWINDOWS -DNO_RINDEX -DNO_ADDRINFO -DNO_FAMILY_T $(FLAGS)" LIBS="-lws2_32 -lregex $(LIBS)" mingw.exe
+	$(MAKE) CC=gcc FLAGS="-DWINDOWS -DNO_RINDEX $(FLAGS)" LIBS="-lws2_32 -lregex $(LIBS)" mingw.exe
 
 mingw-pop:
 	$(MAKE) CC=gcc TARGET=mingw pop_stone
 
-mingw-ssl:
-	$(MAKE) CC=gcc FLAGS="$(SSL_FLAGS)" SSL_LIBS="-lssl32 -leay32" TARGET=mingw ssl_stone
+mingw-ssl: cryptoapi.o
+	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DCRYPTOAPI" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw ssl_stone
+
+mingw-me:
+	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DNO_ADDRINFO" SSL_LIBS="-lcrypt32 -lssl32 -leay32" TARGET=mingw ssl_stone
+
+mingw-nt:
+	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DCRYPTOAPI -DNO_ADDRINFO" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw svc_stone
 
 mingw-svc:
-	$(MAKE) CC=gcc CFLAGS="-DWINDOWS -DNT_SERVICE -DNO_RINDEX -DNO_ADDRINFO -DNO_FAMILY_T $(POP_FLAGS) $(SSL_FLAGS) $(CFLAGS)" SSL_LIBS="-lssl32 -leay32" TARGET=mingw svc_stone
+	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DCRYPTOAPI" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw svc_stone
 
 emx:
 	$(MAKE) CC=gcc FLAGS="-DOS2 -Zmts -Zsysv-signals $(FLAGS)" LIBS="$(LIBS) -lsocket" stone.exe

## stone 2.3.e

=== Makefile ===
--- 
+++ 
@@ -22,18 +22,23 @@
 CFLAGS=		# -g
 
 SSL=		/usr/local/ssl
-SSL_FLAGS=	-DUSE_SSL -I$(SSL)/include
-SSL_LIBS=	-L$(SSL)/lib -lssl -lcrypto
+SSL_FLAGS=	-DUSE_SSL
+SSL_LIBS=	-lssl -lcrypto
 
 POP_FLAGS=	-DUSE_POP
 POP_LIBS=	md5c.o
 
+MINGWCC=	mingw32-gcc
+MC=		wmc
+RC=		wrc
+WINDRES=	windres
 SVC_LIBS=	logmsg.o
 
 all:
 	@echo "run make with one of the following arguments"
 	@echo "linux     ; for Linux"
 	@echo "zaurus    ; for Linux Zaurus"
+	@echo "fon       ; for La Fonera"
 	@echo "bsd       ; for FreeBSD or BSD/OS"
 	@echo "macosx    ; for Mac OS X"
 	@echo "sun       ; for SunOS 4.x with gcc"
@@ -49,7 +54,7 @@
 	@echo "using above conv. and OpenSSL, add '-ssl' (example: linux-ssl)"
 
 clean:
-	rm -f stone $(POP_LIBS) stone.exe stone.obj md5c.obj stone.o $(SVC_LIBS) MSG00001.bin logmsg.h logmsg.rc
+	rm -f stone $(POP_LIBS) stone.exe stone.obj md5c.obj stone.o $(SVC_LIBS) MSG00001.bin logmsg.h logmsg.rc cryptoapi.o
 
 md5c.c:
 	@echo "*** md5c.c is contained in RFC1321"
@@ -61,7 +66,7 @@
 	$(MAKE) FLAGS="$(POP_FLAGS)" LIBS="$(POP_LIBS)" $(TARGET)
 
 ssl_stone:
-	$(MAKE) FLAGS="$(POP_FLAGS) $(SSL_FLAGS)" LIBS="$(LIBS) $(SSL_LIBS)" $(TARGET)
+	$(MAKE) FLAGS="$(POP_FLAGS) $(SSL_FLAGS) $(FLAGS)" LIBS="$(LIBS) $(SSL_LIBS)" $(TARGET)
 
 stone.exe: stone.c
 	$(CC) $(CFLAGS) $(FLAGS) $? $(LIBS)
@@ -77,16 +82,22 @@
 	$(MAKE) FLAGS="/DNT_SERVICE $(FLAGS)" LIBS="logmsg.res advapi32.lib user32.lib gdi32.lib shell32.lib kernel32.lib" $(TARGET)
 
 logmsg.rc: logmsg.mc
-	mc $?
-
-logmsg.o: logmsg.rc
-	windres $? -o $@
+	$(MC) -i $?
+
+logmsg.res: logmsg.rc
+	$(RC) $?
+
+logmsg.o: logmsg.res
+	$(WINDRES) $? -o $@
+
+cryptoapi.o: cryptoapi.c
+	$(MINGWCC) -c $? -o $@
 
 svc_stone: logmsg.rc $(SVC_LIBS)
-	$(MAKE) FLAGS="-DNT_SERVICE $(FLAGS) $(POP_FLAGS) $(SSL_FLAGS)" LIBS="$(LIBS) $(SSL_LIBS) $(SVC_LIBS) -ladvapi32 -luser32 -lgdi32 -lshell32 -lkernel32" $(TARGET)
+	$(MAKE) FLAGS="-DNT_SERVICE $(FLAGS)" LIBS="$(LIBS) $(SVC_LIBS) -ladvapi32 -luser32 -lshell32 -lkernel32" $(TARGET)
 
 linux:
-	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -DPTHREAD -DUNIX_DAEMON -DPRCTL -DSO_ORIGINAL_DST=80 $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
+	$(MAKE) FLAGS="-O -Wall -DCPP='\"/usr/bin/cpp -traditional\"' -DPTHREAD -DUNIX_DAEMON -DPRCTL -DSO_ORIGINAL_DST=80 -DUSE_EPOLL $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
 
 linux-pop:
 	$(MAKE) TARGET=linux pop_stone
@@ -95,7 +106,7 @@
 	$(MAKE) TARGET=linux ssl_stone LIBS="-ldl"
 
 zaurus:
-	$(MAKE) CC="arm-linux-gcc" FLAGS="-DPTHREAD -DUNIX_DAEMON $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
+	$(MAKE) CC="arm-linux-gcc" FLAGS="-O -Wall -DPTHREAD -DUNIX_DAEMON $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
 	arm-linux-strip stone
 
 zaurus-pop:
@@ -104,6 +115,16 @@
 zaurus-ssl:
 	$(MAKE) CC="arm-linux-gcc" SSL_LIBS="-lssl -lcrypto" TARGET=zaurus ssl_stone
 
+fon:
+	$(MAKE) CC="mips-linux-uclibc-gcc" FLAGS="-O -Wall -DPTHREAD -DUNIX_DAEMON -DPRCTL $(FLAGS)" LIBS="-lpthread $(LIBS)" stone
+	mips-linux-uclibc-strip stone
+
+fon-pop:
+	$(MAKE) CC="mips-linux-uclibc-gcc" TARGET=fon pop_stone
+
+fon-ssl:
+	$(MAKE) CC="mips-linux-uclibc-gcc" SSL_LIBS="-lssl -lcrypto" TARGET=fon ssl_stone
+
 bsd:
 	$(MAKE) FLAGS="-DCPP='\"/usr/bin/cpp -traditional\"' -D_THREAD_SAFE -DPTHREAD -DREG_NOERROR=0 $(FLAGS)" LIBS="-pthread $(LIBS)" stone
 
@@ -132,7 +153,7 @@
 	$(MAKE) TARGET=sun ssl_stone
 
 solaris:
-	$(MAKE) CC=gcc FLAGS="-DPTHREAD $(FLAGS)" LIBS="-lnsl -lsocket -lpthread $(LIBS)" stone
+	$(MAKE) CC=gcc FLAGS="-DPTHREAD -D_REENTRANT $(FLAGS)" LIBS="-lnsl -lsocket -lpthread -lthread $(LIBS)" stone
 
 solaris-pop:
 	$(MAKE) TARGET=solaris pop_stone
@@ -171,25 +192,25 @@
 	$(MAKE) TARGET=win svc_stone.exe
 
 mingw.exe: stone.c
-	$(CC) $(CFLAGS) $(FLAGS) -o stone.exe $? $(LIBS)
+	$(MINGWCC) $(CFLAGS) $(FLAGS) -o stone.exe $? $(LIBS)
 
 mingw:
-	$(MAKE) CC=gcc FLAGS="-DWINDOWS -DNO_RINDEX $(FLAGS)" LIBS="-lws2_32 -lregex $(LIBS)" mingw.exe
+	$(MAKE) CC="$(MINGWCC)" FLAGS="-O -Wall -D_WIN32_WINNT=0x0501 -DWINDOWS -DNO_RINDEX -DADDRCACHE $(FLAGS)" LIBS="$(LIBS) -lws2_32 -lregex -lgdi32" mingw.exe
 
 mingw-pop:
-	$(MAKE) CC=gcc TARGET=mingw pop_stone
+	$(MAKE) CC="$(MINGWCC)" TARGET=mingw pop_stone
 
 mingw-ssl: cryptoapi.o
-	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DCRYPTOAPI" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw ssl_stone
+	$(MAKE) CC="$(MINGWCC)" FLAGS="$(FLAGS)" SSL_FLAGS="-DUSE_SSL -DCRYPTOAPI" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw ssl_stone
 
 mingw-me:
-	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DNO_ADDRINFO" SSL_LIBS="-lcrypt32 -lssl32 -leay32" TARGET=mingw ssl_stone
+	$(MAKE) CC="$(MINGWCC)" FLAGS="-DNO_ADDRINFO" mingw-ssl
 
 mingw-nt:
-	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DCRYPTOAPI -DNO_ADDRINFO" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw svc_stone
+	$(MAKE) CC="$(MINGWCC)" FLAGS="-DNO_ADDRINFO" TARGET=mingw-ssl svc_stone
 
 mingw-svc:
-	$(MAKE) CC=gcc SSL_FLAGS="$(SSL_FLAGS) -DCRYPTOAPI" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw svc_stone
+	$(MAKE) CC="$(MINGWCC)" TARGET=mingw-ssl svc_stone
 
 emx:
 	$(MAKE) CC=gcc FLAGS="-DOS2 -Zmts -Zsysv-signals $(FLAGS)" LIBS="$(LIBS) -lsocket" stone.exe

## stone 2.4

=== Makefile ===
--- 
+++ 
@@ -19,10 +19,10 @@
 # -DWINDOWS	Windows95/98/NT
 # -DNT_SERVICE	WindowsNT/2000 native service
 
-CFLAGS=		# -g
+CFLAGS=		-D_GNU_SOURCE # -g
 
 SSL=		/usr/local/ssl
-SSL_FLAGS=	-DUSE_SSL
+SSL_FLAGS=	-DUSE_SSL -DCONST_SSL_METHOD -DOPENSSL_NO_TLS1 -DOPENSSL_NO_SSL2 -DOPENSSL_NO_SSL3
 SSL_LIBS=	-lssl -lcrypto
 
 POP_FLAGS=	-DUSE_POP
@@ -72,11 +72,10 @@
 	$(CC) $(CFLAGS) $(FLAGS) $? $(LIBS)
 
 pop_stone.exe: md5c.obj
-	$(MAKE) FLAGS=-DUSE_POP LIBS="md5c.obj" $(TARGET)
-
-ssl_stone.exe:
-	$(MAKE) FLAGS="-DUSE_POP -DUSE_SSL" LIBS="ssleay32.lib libeay32.lib" $(TARGET)
-#	$(MAKE) FLAGS=-DUSE_SSL LIBS="ssl32.lib crypt32.lib" $(TARGET)
+	$(MAKE) FLAGS=$(POP_FLAGS) LIBS="md5c.obj" $(TARGET)
+
+ssl_stone.exe: cryptoapi.obj
+	$(MAKE) FLAGS="$(POP_FLAGS) $(SSL_FLAGS) -DCRYPTOAPI $(FLAGS)" LIBS="cryptoapi.obj ssleay32.lib libeay32.lib crypt32.lib $(LIBS)" $(TARGET)
 
 svc_stone.exe: logmsg.res
 	$(MAKE) FLAGS="/DNT_SERVICE $(FLAGS)" LIBS="logmsg.res advapi32.lib user32.lib gdi32.lib shell32.lib kernel32.lib" $(TARGET)
@@ -180,16 +179,17 @@
 	$(MAKE) TARGET=irix ssl_stone
 
 win:
-	$(MAKE) FLAGS="/Zi /DWINDOWS /DNO_RINDEX /DNO_SNPRINTF /DNO_VSNPRINTF /DNO_PID_T $(FLAGS)" LIBS="/MT wsock32.lib $(LIBS) /link /NODEFAULTLIB:LIBC" stone.exe
+#	$(MAKE) FLAGS="/Zi /DUSE_PCRE /DWINDOWS /DNO_RINDEX /DNO_SNPRINTF /DNO_VSNPRINTF /DNO_PID_T $(FLAGS)" LIBS="/MT ws2_32.lib libpcreposix.lib $(LIBS) /link /NODEFAULTLIB:LIBC" stone.exe
+	$(MAKE) FLAGS="/Zi /DUSE_PCRE /DWINDOWS /DNO_RINDEX /DNO_PID_T $(FLAGS)" LIBS="/MT ws2_32.lib libpcreposix.lib $(LIBS) /link /NODEFAULTLIB:LIBC" stone.exe
 
 win-pop:
 	$(MAKE) TARGET=win pop_stone.exe
 
 win-ssl:
-	$(MAKE) TARGET=win ssl_stone.exe
+	$(MAKE) FLAGS="$(FLAGS)" TARGET=win ssl_stone.exe
 
 win-svc:
-	$(MAKE) TARGET=win svc_stone.exe
+	$(MAKE) TARGET=win-ssl svc_stone.exe
 
 mingw.exe: stone.c
 	$(MINGWCC) $(CFLAGS) $(FLAGS) -o stone.exe $? $(LIBS)
@@ -201,7 +201,7 @@
 	$(MAKE) CC="$(MINGWCC)" TARGET=mingw pop_stone
 
 mingw-ssl: cryptoapi.o
-	$(MAKE) CC="$(MINGWCC)" FLAGS="$(FLAGS)" SSL_FLAGS="-DUSE_SSL -DCRYPTOAPI" SSL_LIBS="cryptoapi.o -lcrypt32 -lssl32 -leay32" TARGET=mingw ssl_stone
+	$(MAKE) CC="$(MINGWCC)" FLAGS="$(FLAGS)" SSL_FLAGS="$(SSL_FLAGS) -DCRYPTOAPI" SSL_LIBS="cryptoapi.o -lssl -lcrypt32 -lssl32 -leay32" TARGET=mingw ssl_stone
 
 mingw-me:
 	$(MAKE) CC="$(MINGWCC)" FLAGS="-DNO_ADDRINFO" mingw-ssl

=== debian/changelog ===
stone (2.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089443)

 -- Niels Thykier <niels@thykier.net>  Mon, 30 Dec 2024 19:01:55 +0000

stone (2.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/copyright: Convert to machine-readable format.
  * Convert to source format 3.0. (Closes: #1007330)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #999881)

  [ Tatsuya Kinoshita ]
  * Fix FTBFS on GNU/Hurd. (Closes: #403401)

  [ Tomoaki Hayasaka ]
  * Do not pass empty POP_FLAGS and POP_LIBS to build. (Closes: #626252)

 -- Bastian Germann <bage@debian.org>  Sat, 23 Mar 2024 10:38:35 +0000

stone (2.4-1) unstable; urgency=low

  * New upstream release.

 -- Takuo Kitame <kitame@debian.org>  Mon, 23 Aug 2021 12:01:00 +0900

stone (2.3.e-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.0.2. (Closes: #828560)

 -- Adrian Bunk <bunk@debian.org>  Sat, 14 Jan 2017 00:58:31 +0200

stone (2.3.e-2) unstable; urgency=low

  [ Jean-Baptiste Lallement (#564498) ]
  * debian/postinst: 
      - Fix incorrect use of command expansion which prevent 
      installation of the package with dash (closes: #564498)
      - Display the right path to the certificate when it already exists

  [ Takuo Kitame ]
  * fix lintian errors.

 -- Takuo Kitame <kitame@debian.org>  Wed, 13 Jan 2010 17:32:34 +0900

stone (2.3.e-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Makefile: Added -D_GNU_SOURCE option to compile. (Closes: #517574)

 -- Miguel Ruiz <debianized@gmail.com>  Sun, 20 Sep 2009 20:13:16 -0400

stone (2.3.e-1) unstable; urgency=low

  * New upstream release
  * This upload is not NMU.

 -- Takuo KITAME <kitame@debian.org>  Thu, 05 Feb 2009 12:22:04 +0900

stone (2.3.c-2) unstable; urgency=low

  * fix again FTBFS on GNU/kFreeBSD (closes: #374771)

 -- Takuo KITAME <kitame@debian.org>  Mon,  6 Nov 2006 20:24:18 +0900

stone (2.3.c-1) unstable; urgency=low

  * New upstream release (closes: #390988)
  * fix FTBFS on GNU/kFreeBSD (closes: #374771)

 -- Takuo Kitame <kitame@debian.org>  Mon,  6 Nov 2006 14:22:28 +0900

stone (2.3-1) unstable; urgency=low

  * New upstream release (closes: #372959)

 -- Takuo KITAME <kitame@debian.org>  Wed, 21 Jun 2006 13:18:34 +0900

stone (2.2e-2) unstable; urgency=low

  * build against libssl0.9.8

 -- Takuo KITAME <kitame@debian.org>  Mon, 31 Oct 2005 23:39:02 +0900

stone (2.2e-1) unstable; urgency=low

  * New upstream release (closes: #225280)

 -- Takuo KITAME <kitame@debian.org>  Tue, 17 May 2005 12:47:47 +0900

stone (2.2-1) unstable; urgency=low

  * New upstream release (closes: #196743)
  * Depends on openssl (closes: #190542)

 -- Takuo KITAME <kitame@debian.org>  Fri, 19 Dec 2003 14:06:42 +0900

stone (2.1.r-4) unstable; urgency=low

  * install /etc/certs/stone.pem

 -- Takuo KITAME <kitame@debian.org>  Tue,  8 Apr 2003 15:34:02 +0900

stone (2.1.r-3) unstable; urgency=low

  * SSL support include.
  * Fix description (closes: #170348)

 -- Takuo KITAME <kitame@debian.org>  Mon, 25 Nov 2002 15:02:29 +0900

stone (2.1.r-2) unstable; urgency=low

  * Change maintainer address to @debian.org

 -- Takuo KITAME <kitame@debian.org>  Fri,  8 Nov 2002 17:54:18 +0900

stone (2.1.r-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Sat, 27 Apr 2002 12:03:01 +0900

stone (2.1-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Wed,  3 Nov 1999 15:48:16 +0900

stone (2.0.q-1) unstable; urgency=low

  * Initial Release.

 -- Takuo KITAME <kitame@northeye.org>  Tue, 12 Oct 1999 00:59:42 +0900

=== debian/control ===
Source: stone
Section: net
Priority: optional
Maintainer: Takuo Kitame <kitame@debian.org>
Build-Depends: debhelper (>= 6.0.7~), libssl-dev 
Rules-Requires-Root: no
Standards-Version: 4.5.1

Package: stone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl
Conflicts: stone-ssl
Replaces: stone-ssl
Description: TCP/IP packet repeater in the application layer
 It repeats TCP and UDP packets from inside to outside of a firewall, or from
 outside to inside.
 Stone supports SSL. stone can encrypt/decrypt packets with OpenSSL library.
 Stone can also be a tiny http proxy.
 POP -> APOP conversion. With stone and a mailer that does not support APOP,
 you can access to an APOP server.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1


DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq (linux,$(DEB_HOST_ARCH_OS))
	EXTRA_FLAGS=""
else
	EXTRA_FLAGS=-UPRCTL -UUSE_EPOLL
endif

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	dh_auto_build -- linux-ssl SSL_FLAGS="-DUSE_SSL -I/usr/include/openssl $(EXTRA_FLAGS)" \
	SSL_LIBS="-L/usr/lib/ssl/lib -lssl -lcrypto"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp

	$(MAKE) clean
	rm -f stone.ja.1

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -m 755 stone $(CURDIR)/debian/stone/usr/bin/stone

# Build architecture-independent files here.
binary-indep: build-indep install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_installman
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## stone linux-2.10.0a0

=== requirements.txt ===
# PyTorch 2.10.0a0 SM120 (RTX 50-series) Dependencies
# Install these before installing the PyTorch wheel

# Core dependencies
numpy>=2.3.0
packaging>=25.0
PyYAML>=6.0
typing-extensions>=4.15.0

# Build tools (optional, only needed if building from source)
cmake>=4.1.0
setuptools>=80.0
wheel>=0.45.0

## stone soup-0.32.0-nodeps

=== source/debian/changelog ===
crawl (2:0.32.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 29 Aug 2024 15:51:28 -0500

crawl (2:0.31.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 18 Jan 2024 21:23:12 -0600

crawl (2:0.30.1-1) unstable; urgency=low

  * New upstream release.
 -- advil <rawlins@gmail.com>  Fri, 30 Jun 2023 14:08:55 -0400

crawl (2:0.30.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 05 May 2023 09:34:25 -0500

crawl (2:0.29.1-1) unstable; urgency=low

   * New upstream release.
 -- advil <rawlins@gmail.com>  Sun, 11 Sep 2022 21:49:41 -0400

crawl (2:0.29.0-1) unstable; urgency=low

  * New upstream release.
  * Debian build updated to make use of the install-xdg-data target.
  * Common files have been removed from the debian folder.
  * Fixed missing icon in crawl menu item if crawl-tiles is not installed.
  * Use Debian's uses machine-readable format for copyright file.
  * Remove menu files based on CTTE #741573.
 -- robertxgray <robertxgray@gmail.com>  Sun, 04 Sep 2022 16:31:49 +0200

crawl (2:0.28.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 03 Feb 2022 12:01:30 -0600

crawl (2:0.27.1-1) unstable; urgency=low

  * New upstream release.
 -- ebering <trizor@gmail.com>  Fri, 20 Aug 2021 13:43:43 +0300

crawl (2:0.27.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 30 Jul 2021 00:10:09 -0500

crawl (2:0.26.0-1) unstable; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 08 Jan 2021 09:37:14 -0600

crawl (2:0.25.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 12 Jun 2020 02:41:22 -0500

crawl (2:0.24.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 24 Oct 2019 14:16:07 -0400

crawl (2:0.23.2-1) UNRELEASED; urgency=low

  * New upstream release.
 -- advil <rawlins@gmail.com>  Sat, 30 Mar 2019 20:39:33 -0400

crawl (2:0.22.2-1) UNRELEASED; urgency=low

  * New upstream release.
 -- advil <rawlins@gmail.com>  Wed, 27 Mar 2019 21:22:21 -0400

crawl (2:0.23.1-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Wed, 27 Feb 2019 19:44:22 -0600

crawl (2:0.23.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 07 Feb 2019 10:07:00 -0600

crawl (2:0.22.1-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sun, 16 Sep 2018 20:57:38 -0500

crawl (2:0.22.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 09 Aug 2018 17:16:37 -0500

crawl (2:0.21.2-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sun, 16 Sep 2018 16:37:58 -0500

crawl (2:0.21.1-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 01 Feb 2018 01:54:03 -0600

crawl (2:0.21.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sat, 30 Dec 2017 19:24:18 -0600

crawl (2:0.20.1-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sat, 01 Jul 2017 18:12:17 -0500

crawl (2:0.20.0-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Thu, 25 May 2017 01:28:15 -0500

crawl (2:0.19.5-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Tue, 28 Feb 2017 17:24:38 -0600

crawl (2:0.19.4-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Mon, 30 Jan 2017 04:22:28 -0600

crawl (2:0.19.3-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Sat, 21 Jan 2017 16:16:52 -0600

crawl (2:0.19.2-1) UNRELEASED; urgency=low

  * New upstream release.
 -- gammafunk <gammafunk@gmail.com>  Fri, 20 Jan 2017 22:14:28 -0600

crawl (2:0.19.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Wed, 23 Nov 2016 04:04:25 -0600

crawl (2:0.19.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Tue, 01 Nov 2016 04:41:12 +0000

crawl (2:0.18.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Thu, 05 May 2016 14:40:59 -0500

crawl (2:0.18.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Wed, 04 May 2016 13:27:07 -0500

crawl (2:0.17.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Thu, 05 May 2016 15:32:00 -0500

crawl (2:0.17.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Thu, 10 Dec 2015 05:09:43 -0600

crawl (2:0.17.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Fri, 06 Nov 2015 06:04:45 -0600

crawl (2:0.16.2-1) UNRELEASED; urgency=low

  * Major bugfix release

 -- gammafunk <gammafunk@gmail.com>  Tue, 11 Aug 2015 02:46:17 -0500

crawl (2:0.16.1-1) UNRELEASED; urgency=low

  * Major bugfix release

 -- gammafunk <gammafunk@gmail.com>  Sun, 22 Mar 2015 21:55:31 -0500

crawl (2:0.16.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- gammafunk <gammafunk@gmail.com>  Wed, 11 Mar 2015 22:44:40 -0500

crawl (2:0.15.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steve Melenchuk <smelenchuk@gmail.com>  Sat, 18 Sep 2014 20:32:56 -0600

crawl (2:0.15.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steve Melenchuk <smelenchuk@gmail.com>  Mon, 15 Sep 2014 17:25:10 -0600

crawl (2:0.15.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Steve Melenchuk <smelenchuk@gmail.com>  Wed, 27 Aug 2014 21:32:22 -0600

crawl (2:0.14.2-1) UNRELEASED; urgency=low

  * New upstream release.
